> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get data that users entered in PowerForm

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/powerforms/{powerFormId}/form_data



Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/powerforms/powerformdata/list

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `powerFormId` (string, required)

### Query parameters

- `data_layout` (string, optional)
- `from_date` (string, optional) — Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created.
- `to_date` (string, optional) — End of the search date range. Only returns templates created up to this date/time. If no value is provided, this defaults to the current date.

## Response

### 200

Successful response.

- `envelopes` (list of powerFormFormDataEnvelope, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### powerFormFormDataEnvelope

- `envelopeId` (string, optional) — The envelope's GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
- `recipients` (list of powerFormFormDataRecipient, optional)

### powerFormFormDataRecipient

- `email` (string, optional)
- `formData` (list of nameValue, optional)
- `name` (string, optional)
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.

### nameValue

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name or key of a name/value pair.
- `originalValue` (string, optional) — The initial value of the tab when it was sent to the recipient.
- `value` (string, optional) — The value field of a name/value pair.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Response**

```json
{
  "envelopes": [
    {
      "envelopeId": "string",
      "recipients": [
        {
          "email": "string",
          "formData": [
            {
              "errorDetails": {
                "errorCode": "string",
                "message": "string"
              },
              "name": "string",
              "originalValue": "string",
              "value": "string"
            }
          ],
          "name": "string",
          "recipientId": "string"
        }
      ]
    }
  ]
}
```